Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 226221 - gnome-base/gnome-vfs: builds tests with FEATURES=-test
Summary: gnome-base/gnome-vfs: builds tests with FEATURES=-test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High QA (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: test-n-example-build
  Show dependency tree
 
Reported: 2008-06-13 11:12 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2010-10-02 11:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-06-13 11:12:05 UTC
The package seems to be building tests during "make all" phase even though I don't have FEATURES=test enabled. For details see my blog: http://blog.flameeyes.eu/articles/2008/06/11/please-dont-build-your-examples-by-default .

It would be nice if the tests were disabled by default and only built with FEATURES=test. You can find an example patch usually suitable for upstream on the blog above.

Thanks,
Diego
Comment 1 Gilles Dartiguelongue gentoo-dev 2008-11-30 11:08:16 UTC
changing severity for easier searching.
Comment 2 Mart Raudsepp gentoo-dev 2008-12-24 04:21:37 UTC
I can find no example patch from there, it is a dead link.
It is also very likely unacceptable for upstream to have to pass a separate make -C tests/, and it is also unacceptable for us to do so in src_test(). There must be a better solution.
Comment 3 Gilles Dartiguelongue gentoo-dev 2010-10-02 11:57:40 UTC
+*gnome-vfs-2.24.4 (02 Oct 2010)
+
+  02 Oct 2010; Gilles Dartiguelongue <eva@gentoo.org>
+  files/gnome-vfs-2.24.0-uuid-mount.patch, +gnome-vfs-2.24.4.ebuild,
+  +files/gnome-vfs-2.24.4-build-tests-asneeded.patch,
+  +files/gnome-vfs-2.24.4-disable-test-async-cancel.patch,
+  +files/gnome-vfs-2.24.4-home_dir_fakeroot.patch:
+  Version bump. Do not build tests if not needed, bug #226221. Disable
+  broken test, bug #285706. Do not install *.la files for gnome-vfs modules.
+
Fixed in 2.24.4. Thanks for reporting.